package com.zanxiang.game.data.serve.mangae.factory;


import com.zanxiang.game.data.serve.pojo.dto.WebLogDTO;
import com.zanxiang.game.data.serve.service.IWebVisitLogService;
import com.zanxiang.game.data.serve.utils.SpringUtils;

import java.util.TimerTask;

/**
 * 异步工厂（产生任务用）
 * 
 */
public class AsyncFactory
{

    /**
     * 界面访问记录
     * 
     * @param webLogDTO 界面访问记录对象
     * @return 任务task
     */
    public static TimerTask webVisitLog(final WebLogDTO webLogDTO)
    {
        return new TimerTask()
        {
            @Override
            public void run()
            {
                // 远程查询操作地点
                SpringUtils.getBean(IWebVisitLogService.class).insertVisitlog(webLogDTO);
            }
        };
    }
}
